summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAllan McRae <allan@archlinux.org>2015-01-11 09:57:54 +0100
committerAllan McRae <allan@archlinux.org>2015-01-11 09:57:54 +0100
commit77ca6e40622cea463c601566a85b40ebaea69598 (patch)
tree24825f45703eff502a1efb0b07767fa433d53df3
parent95da285f5670a56faf3bac0d999a6ba6d7153fab (diff)
parente8d757b6ba9ca545266c43279cfef1a48971c013 (diff)
downloadpacman-77ca6e40622cea463c601566a85b40ebaea69598.tar.gz
pacman-77ca6e40622cea463c601566a85b40ebaea69598.tar.xz
Merge branch 'maint'
-rw-r--r--contrib/paccache.sh.in2
-rw-r--r--scripts/makepkg.sh.in8
2 files changed, 7 insertions, 3 deletions
diff --git a/contrib/paccache.sh.in b/contrib/paccache.sh.in
index 6a68d4de..1690583e 100644
--- a/contrib/paccache.sh.in
+++ b/contrib/paccache.sh.in
@@ -256,6 +256,8 @@ while :; do
delete=1 ;;
-u|--uninstalled)
IFS=$'\n' read -r -d '' -a ign < <(pacman -Qq)
+ # pacman -Qq may exit with an error, thus making ign an empty array
+ (( ${#ign[@]} )) || die 'failed to retrieve the list of installed packages'
blacklist+=("${ign[@]}")
unset ign ;;
-V|--version)
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 880e7781..1720e647 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -362,11 +362,11 @@ download_file() {
# replace %o by the temporary dlfile if it exists
if [[ ${cmdline[*]} = *%o* ]]; then
dlfile=$filename.part
- cmdline=("${cmdline[@]//%o/"$dlfile"}")
+ cmdline=("${cmdline[@]//%o/$dlfile}")
fi
# add the URL, either in place of %u or at the end
if [[ ${cmdline[*]} = *%u* ]]; then
- cmdline=("${cmdline[@]//%u/"$url"}")
+ cmdline=("${cmdline[@]//%u/$url}")
else
cmdline+=("$url")
fi
@@ -1833,7 +1833,7 @@ tidy_install() {
# check existence of backup files
local file
for file in "${backup[@]}"; do
- if [[ ! -f $file ]]; then
+ if [[ ! -f $file && ! -h $file ]]; then
warning "$(gettext "%s entry file not in package : %s")" "backup" "$file"
fi
done
@@ -2140,6 +2140,8 @@ write_pkginfo() {
local size="$(@DUPATH@ @DUFLAGS@)"
size="$(( ${size%%[^0-9]*} * 1024 ))"
+ merge_arch_attrs
+
msg2 "$(gettext "Generating %s file...")" ".PKGINFO"
printf "# Generated by makepkg %s\n" "$makepkg_version"
printf "# using %s\n" "$(fakeroot -v)"